commit:     f87fb73d14dd0a7d3099ad235b826c793b16fecf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  5 15:04:45 2015 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep  5 15:04:45 2015 +0000
URL:        https://gitweb.gentoo.org/proj/qa-scripts.git/commit/?id=f87fb73d

Add a script to fetch remote check reports from git repos

 fetch-git-reports.sh | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/fetch-git-reports.sh b/fetch-git-reports.sh
new file mode 100755
index 0000000..892b5ac
--- /dev/null
+++ b/fetch-git-reports.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+# (c) 2015 Michał Górny
+# 2-clause BSD licensed
+
+set -e -x
+
+outputdir=${1}
+
+[[ ${outputdir} ]]
+cd "${outputdir}"
+
+for repo in gentoo-ci gpyutils repos; do
+       [[ -d ${repo} ]] || git clone --depth=1 
"git://anongit.gentoo.org/report/${repo}.git"
+
+       cd "${repo}"
+       git pull
+       cd - >/dev/null
+done

Reply via email to